Mispelling of Landscape

Bug #983096 reported by Michael Moroni on 2012-04-16
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Landscape Client
Low
Thomas Herve
landscape-client (Ubuntu)
Low
Vibhav Pant

Related branches

Michael Moroni (airon90) wrote :

This comment is for me. I translated the key but when you edit the template the key translation will be lost. So I add translation there so I copy-paste it then ;)
"Landskapo estas fora servo de administrado de Canonical. Se vi permesas tion, servilo de Landskapo povas monitori la rendimenton de ĉi tiu komputilo kaj sendi komandoj pri administrado."

Matt Fischer (mfisch) on 2012-04-17
Changed in landscape-client (Ubuntu):
status: New → Triaged
importance: Undecided → Low
Vibhav Pant (vibhavp) on 2012-04-22
Changed in landscape-client (Ubuntu):
assignee: nobody → Vibhav Pant (vibhavp)
Thomas Herve (therve) wrote :

Fix committed in our trunk.

Changed in landscape-client:
assignee: nobody → Thomas Herve (therve)
milestone: none → 12.04.1
status: New → Fix Committed
importance: Undecided → Low
Changed in landscape-client:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 12.05-0ubuntu1

---------------
landscape-client (12.05-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release 12.05 (r561 in trunk) (LP: #1004678).
  * Make all subpackages that depend on each other require the exact same
    version, instead of >= $version.
  * Added python-gi to client depends starting natty.
  * Make change-packages also handle package holds (LP: #972489).
  * Fix typo in glade file (LP: #983096).
  * Tidy up apt facade (LP: #985493).
  * Remove SmartFacade and its tests, no longer used (LP: #996269).
  * Remove check for apt version, since we won't release this for
    Hardy where that check matters (LP: #996837).
  * Remove methods that were smart specific. We no longer use smart
    (LP: #996841).
  * Remove smart-update helper binary. We no longer use smart
    (LP: #997408).
  * Remove test-mixins that were useful only during the apt-to-smart
    code migration. Now with smart gone, they are no longer necessary
    (LP: #997760).
  * Build the packages from precise onward, not just precise.
  * Assorted packaging fixes:
    - Switched to format 3.0 (quilt).
    - Added source lintian overrides, with comments.
    - Updated debian/rules:
      - Added build-arch and build-indep dummy target.
      - Build the GUI packages from precise onwards, and not just on precise.
      - Re-enable dh_lintian.
      - Strip the binaries (dh_strip), and also call dh_shlibdeps for the
        automatic shlibs dependency.
      - Added python-gi from natty onwards.
    - Used __Choices instead of _Choices in landscape-common.templates, it's
      better for translators.
    - Updated standard version to 3.8.2, the version from Lucid (oldest one
      we support)
    - Added shlibs depends.
    - Dropped deprecated ${Source-Version} and replaced it with
      ${binary:Version}
    - Require exact version of the sibling package instead of >=.
 -- Andreas Hasenack <email address hidden> Fri, 01 Jun 2012 17:48:43 -0300

Changed in landscape-client (Ubuntu):
status: Triaged → Fix Released
Andreas Hasenack (ahasenack) wrote :

qa + 1

Hello Michael, or anyone else affected,

Accepted landscape-client into natty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/landscape-client/12.05-0ubuntu0.11.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Clint Byrum (clint-fewbar) wrote :

Hello Michael, or anyone else affected,

Accepted landscape-client into lucid-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/landscape-client/12.05-0ubuntu0.10.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Clint Byrum (clint-fewbar) wrote :

Hello Michael, or anyone else affected,

Accepted landscape-client into oneiric-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/landscape-client/12.05-0ubuntu0.11.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Clint Byrum (clint-fewbar) wrote :

Hello Michael, or anyone else affected,

Accepted landscape-client into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/landscape-client/12.05-0ubuntu0.12.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Andreas Hasenack (ahasenack) wrote :

This is only relevant for precise. The ui packages, where the error is, are not built for lucid, natty and oneiric.

In precise, I see the correct text (see attached screenshot). I do not see the French translation, however, when I switch my system to French (see second screenshot).

Packages I built with this debdiff, before requesting the upload, worked, so I wonder if something different happened during the build for the upload, or if my test back then was flawed.

I'm not very knowledgeable in the translations area, my first thought is that for some reason the english test in the po(t) file no longer matches the code, that's why the translation didn't kick in.

Andreas Hasenack (ahasenack) wrote :

Mix of English and French.

Andreas Hasenack (ahasenack) wrote :

With the packages from my ppa, that I used to test this before requesting the upload, the French translation is correct, see screenshot.

The ppa is ppa:landscape/ppas-never-forget-1

Andreas Hasenack (ahasenack) wrote :

The package that is in proposed does not have the .mo file:

andreas@nsn7:~/sru/bin/broken$ dpkg --contents landscape-client-ui-install_12.05-0ubuntu0.12.04_i386.deb |grep locale
andreas@nsn7:~/sru/bin/broken$

The package from my ppa does have it:
andreas@nsn7:~/sru/bin/working$ dpkg --contents landscape-client-ui-install_12.05-0ubuntu0.12.04_i386.deb |grep locale
drwxr-xr-x root/root 0 2012-06-19 17:05 ./usr/share/locale/
drwxr-xr-x root/root 0 2012-06-19 17:05 ./usr/share/locale/fr/
drwxr-xr-x root/root 0 2012-06-19 17:05 ./usr/share/locale/fr/LC_MESSAGES/
-rw-r--r-- root/root 3957 2012-06-19 17:05 ./usr/share/locale/fr/LC_MESSAGES/landscape-client.mo

Can we get the build logs for the package in proposed?

Andreas Hasenack (ahasenack) wrote :

Here are both build logs:

- worked (my ppa): https://launchpadlibrarian.net/107988433/buildlog_ubuntu-precise-i386.landscape-client_12.05-0ubuntu0.12.04_BUILDING.txt.gz

- didn't work (precise-proposed): https://launchpadlibrarian.net/109921861/buildlog_ubuntu-precise-i386.landscape-client_12.05-0ubuntu0.12.04_BUILDING.txt.gz

Scroll down to the package listing, look for package landscape-client-ui-install.

I grepped both logs for "locale", and the only difference in the output is exactly that package listing:

andreas@nsn7:~/sru$ grep locale broke.txt > locale-broke.txt
andreas@nsn7:~/sru$ grep locale worked.txt > locale-worked.txt
andreas@nsn7:~/sru$ diff -u locale-broke.txt locale-worked.txt
--- locale-broke.txt 2012-07-24 15:27:52.009345657 -0300
+++ locale-worked.txt 2012-07-24 15:27:56.545345494 -0300
@@ -9,3 +9,7 @@
 creating debian/tmp/usr/share/locale/fr
 creating debian/tmp/usr/share/locale/fr/LC_MESSAGES
 copying build/mo/fr/LC_MESSAGES/landscape-client.mo -> debian/tmp/usr/share/locale/fr/LC_MESSAGES
+drwxr-xr-x root/root 0 2012-06-19 20:05 ./usr/share/locale/
+drwxr-xr-x root/root 0 2012-06-19 20:05 ./usr/share/locale/fr/
+drwxr-xr-x root/root 0 2012-06-19 20:05 ./usr/share/locale/fr/LC_MESSAGES/
+-rw-r--r-- root/root 3957 2012-06-19 20:05 ./usr/share/locale/fr/LC_MESSAGES/landscape-client.mo

I don't know what happened. Should be just retry the build?

Andreas Hasenack (ahasenack) wrote :

Ok, turns out this is expected: https://wiki.ubuntu.com/UbuntuDevelopment/Internationalisation/Packaging

So consider this tested for precise, and it doesn't apply for lucid, natty and oneiric, so it should be considered done for those too.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers